Page MenuHomePhabricator

When deleting a page, give the option to also delete the page creation log
Open, Needs TriagePublic

Description

When an admin or oversighter is deleting/suppressing a page, it is possible that they also want to revdel/suppress the page creation log entry. This is especially true if the page title itself is sensitive, or if sensitive information was included in the page creation log's comment field. However, the standard workflow for deleting or suppressing a page does not give this option.

We recently discussed this on the enwiki Oversighter mailing list, and while this should not be the default, we do believe that the option should be more prominently available. Currently there isn't even a link from a deleted page to the logs for that page. I suggest:

  • Adding a link to get from a redlink to the logs for that page. Currently this can only be done for pages that currently exist (via a link at the top of the History screen). Perhaps this link should be before the "view abuse log" link that we already have.
  • Displaying the most recent page creation log on &action=delete, and providing checkboxes (default off) to also hide the page name or the comment from that entry. This would be done at the same level as the page deletion, i.e. suppress if the user is an Oversighter suppressing the page, or normal RevisionDeletion otherwise.

I intend to do the first part on my own, because I think it's easy and I want to test my Gerrit setup. I'm open to feedback on the second part.

Event Timeline

ST47 created this task.Aug 24 2020, 1:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2020, 1:20 AM

Change 621970 had a related patch set uploaded (by ST47-dev; owner: ST47-dev):
[mediawiki/core@master] Add a link from a deleted page to that page's logs

https://gerrit.wikimedia.org/r/621970

Stryn added a subscriber: Stryn.Aug 24 2020, 4:46 AM

See T230425, for the second issue

ST47 added a comment.Sep 2 2020, 2:15 PM

Fixed in patch set 3

Still works on redlink page:

No duplicate link on action=history:

Ammarpad added a comment.EditedSep 2 2020, 5:01 PM

It seems AbuseFilter is also outputting duplicate link in the history action

ST47 added a comment.Sep 2 2020, 5:07 PM

Okay, but that isn't new.

Ammarpad added a comment.EditedSep 2 2020, 5:08 PM

Yes, I know, I am just commenting about it, as it has to be fixed in AbuseFilter extension. r623836 will do that.

Change 621970 merged by jenkins-bot:
[mediawiki/core@master] Add a link from a deleted page to that page's logs

https://gerrit.wikimedia.org/r/621970

Urbanecm closed this task as Resolved.Sep 15 2020, 1:27 AM
DannyS712 reopened this task as Open.Sep 15 2020, 1:38 AM

Only partially done - original feature request remains to be addressed

Change 629861 had a related patch set uploaded (by Reedy; owner: ST47-dev):
[mediawiki/core@REL1_35] Add a link from a deleted page to that page's logs

https://gerrit.wikimedia.org/r/629861

Change 629861 merged by jenkins-bot:
[mediawiki/core@REL1_35] Add a link from a deleted page to that page's logs

https://gerrit.wikimedia.org/r/629861